### Function

# Qmi MessageGasDmsSetActiveFirmwareInput new

since: 1.24

#### Declaration [src]

    QmiMessageGasDmsSetActiveFirmwareInput*
    qmi_message_gas_dms_set_active_firmware_input_new (
      void
    )

#### Description [src]

Allocates a new `QmiMessageGasDmsSetActiveFirmwareInput`.

Available since: 1.24

#### Return value

Type: `QmiMessageGasDmsSetActiveFirmwareInput`

The newly created `QmiMessageGasDmsSetActiveFirmwareInput`. The returned value should be freed with qmi_message_gas_dms_set_active_firmware_input_unref().

The caller of the function takes ownership of the data, and is responsible for freeing it.